package types

import (
	"github.com/gofiber/fiber/v2"
)

type ControllerInterface interface {
	GetRouter() fiber.Router
}

type Controller struct {
	Router fiber.Router
}

func NewController(app *fiber.App, group string) *Controller {
	return &Controller{
		Router: app.Group(group),
	}
}
